Loading...
Searching...
No Matches
pappso::XtandemError Class Reference

`#include <tandemwrapperrun.h>`

Inheritance diagram for pappso::XtandemError:

## Public Member Functions

| XtandemError (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

Definition at line 47 of file tandemwrapperrun.h.

## Constructor & Destructor Documentation

## XtandemError()

pappso::XtandemError::XtandemError | ( | const QString & | message | ) |
throw | ( | ) |  |  |

inline

Definition at line 50 of file tandemwrapperrun.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition pappsoexception.h:43

Referenced by clone().

## Member Function Documentation

## clone()

virtual QException * pappso::XtandemError::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 55 of file tandemwrapperrun.h.

{
return new XtandemError(*this);
}
pappso::XtandemError::XtandemError
XtandemError(const QString &message)
Definition tandemwrapperrun.h:50

References XtandemError().

The documentation for this class was generated from the following file:

- pappsomspp/core/processing/tandemwrapper/tandemwrapperrun.h